--- old/usr/src/uts/common/fs/zfs/zfs_ioctl.c	2015-11-02 01:49:40.774695690 +0100
+++ new/usr/src/uts/common/fs/zfs/zfs_ioctl.c	2015-11-02 01:49:40.786693537 +0100
@@ -2404,6 +2404,9 @@
 	VERIFY(0 == nvpair_value_uint64(pair, &intval));
 
 	switch (prop) {
+	case ZFS_PROP_FSID_GUID:
+		err = dsl_dataset_set_fsid_guid(dsname, source, intval);
+		break;
 	case ZFS_PROP_QUOTA:
 		err = dsl_dir_set_quota(dsname, source, intval);
 		break;
